# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87.0"
name = "nym-sphinx-chunking"
version = "1.21.0"
authors = ["Nym Technologies SA"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Sphinx packet chunking of underlying data packets"
homepage = "https://nymtech.net"
documentation = "https://nymtech.net"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/nymtech/nym"
resolver = "2"

[lib]
name = "nym_sphinx_chunking"
path = "src/lib.rs"

[dependencies.dashmap]
version = "5.5.3"
features = ["serde"]

[dependencies.log]
version = "0.4"

[dependencies.nym-crypto]
version = "1.21.0"
features = ["asymmetric"]
default-features = false

[dependencies.nym-metrics]
version = "1.21.0"

[dependencies.nym-sphinx-addressing]
version = "1.21.0"

[dependencies.nym-sphinx-params]
version = "1.21.0"

[dependencies.nym-sphinx-types]
version = "1.21.0"

[dependencies.rand]
version = "0.8.5"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"

[dependencies.utoipa]
version = "5.2"

[target.'cfg(target_arch = "wasm32")'.dependencies.wasmtimer]
version = "0.4.1"
